:root {
	--primary-color: rgba(21, 21, 21);
	--secondary-color: rgba(244, 244, 244);
	--font-main: 'Geist Pixel', ' monospace', ' sans-serif';
}

*,
*::before,
*::after {
	box-sizing: border-box;
}


header {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

body {
	font-family: var(--font-main);
	background-color: var(--primary-color);
	color: var(--secondary-color);
	margin: 0;
	container-type: inline-size;
}

.header {
	width: 100%;
	height: 16vh;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	padding: 0 4rem;
}

.header_nav {
	text-wrap: nowrap;
}

.header_nav_row {
	text-align: right;
	list-style: none;
}

.header__list {
	display: inline-block;
	margin-left: 2rem;
}

.header__list a {
	cursor: pointer;
	font-size: 100%;
	color: #9f9f9f;
	letter-spacing: .2em;
	text-decoration: none;
	-webkit-transition: .25s ease-in-out 1ms;
	-o-transition: .25s ease-in-out 1ms;
	transition: .25s ease-in-out 1ms
}

.header__list a:hover {
	color: #f4f4f4
}

@container (max-width: 800px) {
	.header_nav-container {
		display: none;
	}

	.header {
		justify-content: center;
		text-align: center;
		height: 12vh;
	}
}

button,
input,
textarea,
select,
nav {
	font-family: inherit;
}

.main_slogan {
	margin-top: 32rem;
	/* border: 1px solid red; */
	font-size: .64rem;
	text-align: center;
	margin: 2rem auto;
}

@container (min-width: 800px) {
	.main_slogan {
		text-align: left;
		margin: 0 100px;
		margin-top: 8rem;
		width: 440px;
		font-size: 1.6rem;
	}
}

.main_hero {
	background-color: var(--secondary-color);
	/* border: 1px solid red; */
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

.main_hero_left_hand img,
.main_hero_right_hand img {
	width: 100%;
	height: auto;
	object-fit: cover;
}

.main_skills {
	display: flow-root;
	color: var(--primary-color);
	background-color: var(--secondary-color);
	padding: 0 4rem;
}

.main_skills_list {
	list-style: none;
	text-align: center;
	display: grid;
	grid-template-columns: 1fr;
	padding: 0;
}

@container (min-width: 400px) {
	.main_skills_list {
		grid-template-columns: 1fr 1fr;
	}
}

@container (min-width: 700px) {
	.main_skills_list {
		grid-template-columns: 1fr 1fr 1fr;
	}
}

@container (min-width: 900px) {
	.main_skills_list {
		grid-template-columns: 1fr 1fr 1fr 1fr;
	}
}

.main_skills_list-item img {
	min-width: 60px;
	width: 120px;
	margin: 20px 0;
}

.main_about {
	padding: 0 4rem;
	display: flex;
	flex-direction: column;
	width: 100%;
	gap: 8px;
}

@container (min-width: 800px) {
	.main_about {
		flex-direction: row;
	}

	.flex-box {
		flex: 1;
	}
}

.main_about_social-list {
	display: flex;
	list-style: none;
	padding: 0;
	margin: 0;
	gap: 16px;
	border: azure;
	border-width: 1px;
}

.social-main_about_social-list-item a {
	color: var(--primary-color);
	display: inline-flex;
	align-items: center;
	justify-content: center;
	transition: color 0.3s ease, transform 0.2s ease;
}

.socimain_about_social-list-item a:hover {
	color: #555;
	transform: scale(1.15);
}

.social-sidebar__svg {
	display: block;
}

.main-about__paralax-wrapper {
	width: 100%;
	overflow: hidden;
}

.main-about__paralax-img {
	width: 100%;
	height: auto;
	display: block;
}

.input_form_item {
	padding: 8px;
	width: 100%;
	border: 1px solid var(--secondary-color);
	border-radius: 4px;
	caret-color: var(--secondary-color);
	margin-bottom: 8px;
	background-color: var(--primary-color);
	color: var(--secondary-color);
	resize: vertical;
}

textarea.input_form_item {
	min-height: 120px;
	max-height: 120px;
}

.main_about_contact_submit_buttom {
	border: 1px solid var(--secondary-color);
	border-radius: 4px;
	background-color: var(--primary-color);
	padding: 8px 16px;
	color: var(--secondary-color);
	width: 30%;
	font-weight: bold;
	font-size: 16px;
}

.main_about_contact_submit_buttom:active {
	transform: scale(0.96);
}

footer {
	position: relative;
}

.footer_text {
	text-align: center;
}